Katello - Bug #24197

Subscription update value of 0 passes Ul validation, but fails in task.
07/09/2018 10:54 AM - Toma$ Strachota

Status: Closed
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1595296

Description of problem:
Entering a value of 0, in the entitlements field, passes the Ul validation. However, the task itself will fail with "Quantity value must be
greater than 0".

See attached screenshot

Version-Release number of selected component (if applicable):
6.4 Snap 9

How reproducible:
Always

Steps to Reproduce:

1. Upload a manifest with subscriptions.

2. Navigate to the Subscriptions page

3. Edit an entitlements field, and enter a value of 0

Actual results:
There are no validation warnings, and you can submit changes.

Expected results:
Validation checks catch the bad value and does not let you submit changes.

Associated revisions

Revision e3¢c8094d - 07/09/2018 01:07 PM - Tomas Strachota

Fixes #24197 - prevent entering zero subscriptions

History

#1 - 07/09/2018 10:55 AM - Tomas Strachota
- Status changed from New to Assigned

- Assignee set to Tomas Strachota

- Triaged changed from No to Yes

- Team Backlog UX added

#2 - 07/09/2018 11:09 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7510 added

#3 - 07/09/2018 02:01 PM - Tomas Strachota
https://bugzilla.redhat.com/show_bug.cgi?id=1595296

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|e3c8094da0ef41fe77{37¢754a336f63c03fac02.

#4 - 07/11/2018 05:05 PM - Brad Buckingham

- Target version set to Katello 3.7.0
